=== debian/control ===
Source: wine-development
Section: otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Stephen Kitt <skitt@debian.org>,
 Jens Reyer <jre.winesim@gmail.com>,
Build-Depends:
 debhelper (>= 9.20151220),
 dh-autoreconf,
 libxi-dev,
 libxt-dev,
 libxmu-dev,
 libx11-dev,
 libxext-dev,
 libxrandr-dev,
 libxcursor-dev,
 libxrender-dev,
 libxkbfile-dev,
 libxxf86vm-dev,
 libxxf86dga-dev,
 libxinerama-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libxcomposite-dev,
 libxml-simple-perl,
 lzma,
 flex,
 bison,
 quilt,
 gettext,
 oss4-dev,
 sharutils,
 dctrl-tools,
 khronos-api,
 unicode-data (>= 8.0-1~),
 libpng-dev,
 libssl-dev,
 libxml2-dev,
 libgsm1-dev,
 libjpeg-dev,
 libtiff-dev,
 libpcap-dev,
 libpulse-dev [!kfreebsd-any],
 liblcms2-dev,
 libldap2-dev,
 libxslt1-dev,
 unixodbc-dev,
 libcups2-dev,
 libopenal-dev,
 libdbus-1-dev,
 freeglut3-dev,
 libmpg123-dev,
 libasound2-dev,
 libosmesa6-dev,
 libgnutls28-dev,
 libncurses5-dev,
 libgettextpo-dev,
 libfreetype6-dev (>= 2.5.1),
 libfontconfig1-dev,
 freebsd-glue [kfreebsd-any],
 ocl-icd-opencl-dev,
Standards-Version: 3.9.7
Homepage: http://www.winehq.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-wine/wine.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wine/wine.git

Package: wine-development
Architecture: all
Multi-Arch: foreign
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 wine64-development (>= ${source:Version}) | wine32-development (>= ${source:Version}),
 wine64-development (<< ${source:Version}.1~) | wine32-development (<< ${source:Version}.1~),
Suggests:
 winetricks,
 playonlinux,
 wine-binfmt,
 dosbox (>= 0.74-4.2~),
Description: Windows API implementation - standard suite
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides essential wrappers and convenience tools for the
 standard Wine components.

Package: wine32-development
Architecture: any-i386 any-powerpc armel armhf
Multi-Arch: foreign
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 ${dlopen:Depends},
 ${shlibs:Depends},
 x11-utils,
 libwine-development (= ${binary:Version}),
Recommends:
 wine-development (= ${source:Version}),
 libgl1-mesa-dri,
 libasound2-plugins,
Suggests:
 libwine-gecko-2.40 [!armel !armhf !arm64],
 wine32-development-preloader (= ${binary:Version}),
Breaks:
 wine-development (<< 1.7.50-3~),
 wine32-development-preloader (<< 1.7.51-2~),
Description: Windows API implementation - 32-bit binary loader
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the binary loader for 32-bit Windows applications.

Package: wine64-development
Architecture: amd64 arm64
Multi-Arch: foreign
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x11-utils,
 libwine-development (= ${binary:Version}),
Recommends:
 wine-development (= ${source:Version}),
 wine32-development (>= ${source:Version}),
 wine32-development (<< ${source:Version}.1~),
 libasound2-plugins,
Suggests:
 libwine-gecko-2.40 [!armel !armhf !arm64],
 wine64-development-preloader (= ${binary:Version}),
Breaks:
 wine-development (<< 1.7.50-3~),
 wine64-development-preloader (<< 1.7.51-2~),
Description: Windows API implementation - 64-bit binary loader
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the binary loader for 64-bit Windows applications.

Package: wine32-development-preloader
Architecture: i386 powerpc armel armhf
Multi-Arch: foreign
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 wine32-development (= ${binary:Version}),
Description: Windows API implementation - prelinked 32-bit binary loader
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the prelinked loader for 32-bit Windows applications.

Package: wine64-development-preloader
Architecture: amd64
Multi-Arch: foreign
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 wine64-development (= ${binary:Version}),
Description: Windows API implementation - prelinked 64-bit binary loader
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the prelinked loader for 64-bit Windows applications.

Package: wine32-development-tools
Architecture: any-i386 any-powerpc armel armhf
Section: libdevel
Built-Using: ${built:Using}
Depends:
 gcc,
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-development-dev (= ${binary:Version}),
Conflicts:
 wine64-development-tools,
Description: Windows API implementation - 32-bit developer tools
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides wine's 32-bit developer tools.

Package: wine64-development-tools
Architecture: amd64 arm64
Section: libdevel
Built-Using: ${built:Using}
Depends:
 gcc,
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-development-dev (= ${binary:Version}),
Conflicts:
 wine32-development-tools,
Description: Windows API implementation - 64-bit developer tools
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides wine's 64-bit developer tools.

Package: libwine-development
Section: libs
Architecture: amd64 any-i386 any-powerpc armel armhf arm64
Multi-Arch: same
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfontconfig1,
Recommends:
 libxcursor1,
 fonts-liberation,
 fonts-wine (>= 1.8.1-2),
Suggests:
 cups-bsd,
 ttf-mscorefonts-installer,
Pre-Depends:
 ${misc:Pre-Depends},
Description: Windows API implementation - library
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the wine library.

Package: libwine-development-dev
Architecture: amd64 any-i386 any-powerpc armel armhf arm64
Section: libdevel
Multi-Arch: same
Built-Using: ${built:Using}
Depends:
 ${misc:Depends},
 libwine-development (= ${binary:Version}),
 libc6-dev,
Recommends:
 wine32-development-tools (= ${binary:Version}) | wine64-development-tools (= ${binary:Version}),
Description: Windows API implementation - development files
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides wine's C header files and development libraries.

# Package: wine-binfmt
# Architecture: all
# Depends:
#  ${misc:Depends},
#  binfmt-support,
# Description: Windows API implementation - binfmt support
#  Wine is a free MS-Windows API implementation.
#  This is still a work in progress and many applications may still not work.
#  .
#  This package provides support for launching windows executables directly.
#
# Package: fonts-wine
# Section: fonts
# Architecture: all
# Multi-Arch: foreign
# Built-Using: ${built:Using}
# Depends:
#  ${misc:Depends},
# Description: Windows API implementation - fonts
#  Wine is a free MS-Windows API implementation.
#  This is still a work in progress and many applications may still not work.
#  .
#  This package provides the fonts used by wine.
