## wine-development 1.9.6

=== debian/changelog ===
wine-development (1.9.6-1ubuntu1) xenial; urgency=medium

  * Add app icon and appstream metadata to enable wine to show in
    Software app (LP: #1571816)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2017 17:31:19 -0500

wine-development (1.9.6-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 1.9.6, released Mar 18, 2016.
    - Better video card detection when using Mesa.
    - Support for Shader Model 5 shaders.
    - C++ exception handling improvements.
    - Various bug fixes.

  [ Jens Reyer ]
  * Add winepath symlink and manpage in wine.
  * Break older wine32|64 which don't have a reverse version requirement.
  * Fix wmc and wrc symlinks.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 18 Mar 2016 22:09:24 +0000

wine-development (1.9.5-3) unstable; urgency=medium

  * Re-upload with the previous change actually applied.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Mar 2016 23:32:42 +0000

wine-development (1.9.5-2) unstable; urgency=medium

  * Change gstreamer build dependency to libgstreamer-plugins-base1.0-dev.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Mar 2016 19:51:23 +0000

wine-development (1.9.5-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 1.9.5, released Mar 4, 2016.
    - Beginnings of the WineD3D command stream.
    - Support for effect states in Direct3DX.
    - Drag & drop improvements.
    - Various bug fixes.
  * Drop version output (closes: #816432).
  * Support recent upstream changes to wine_port.

  [ Jens Reyer ]
  * Add symlinks in /usr/bin for installed tools.
  * Install winegcc script again to specify WINEBUILD.
  * dh_strip: Use the current name dbgsym-migration.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Mar 2016 00:40:42 +0000

wine-development (1.9.4-2) unstable; urgency=medium

  [ Michael Gilbert ]
  * Re-enable "err" level output by default.
  * Shorten the version blurb and output it to stdout.

  [ Jens Reyer ]
  * Drop wine32 manpage.
  * Install MAINTAINERS.
  * Explicitly specify which manpages to install.
  * Install manpages for all installed executables.
  * Add patch to fix macro not defined errors from man.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Feb 2016 17:50:52 +0000

wine-development (1.9.4-1) unstable; urgency=medium

  * New upstream release 1.9.4, released Feb 19, 2016.
    - Support for color glyphs and font fallbacks in DirectWrite.
    - Improvements to the WebServices reader.
    - Support for more formats in Direct3D 11.
    - Simplified syntax and clean up of tests marked todo.
    - Various bug fixes.
  * Add pkg-config build dependency.
  * Latest upstream release packaged (closes: #812627).
  * Support recent upstream changes related to unicode.
  * Generate vertical and collation files from unicode data at build time.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 22 Feb 2016 06:11:19 +0000

wine-development (1.9.3-1) unstable; urgency=medium

  * New upstream release 1.9.3, released Feb 5, 2016.
    - JSON support in JavaScript.
    - Improved line breaking in DirectWrite.
    - Some more write support in WebServices.
    - Still more Shader Model 4 instructions.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 20 Feb 2016 15:09:27 +0000

wine-development (1.9.2-1) unstable; urgency=medium

  * New upstream release 1.9.2, released Jan 22, 2016.
    - GStreamer 1.0 support (closes: #754050).
    - Support for SHA hashes in BCrypt.
    - Synthesizing bold glyphs also for bitmap fonts.
    - Underlines support in DirectWrite.
    - Still more Shader Model 4 instructions.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Feb 2016 02:16:00 +0000
