=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wine-development
 Section: otherosfs
 Priority: optional
-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -32,6 +33,7 @@
  gettext,
  oss4-dev,
  sharutils,
+ pkg-config,
  dctrl-tools,
  khronos-api,
  unicode-data (>= 8.0-1~),
@@ -59,6 +61,7 @@
  libgettextpo-dev,
  libfreetype6-dev (>= 2.5.1),
  libfontconfig1-dev,
+ libgstreamer-plugins-base1.0-dev,
  freebsd-glue [kfreebsd-any],
  ocl-icd-opencl-dev,
 Standards-Version: 3.9.7
@@ -218,6 +221,9 @@
  ttf-mscorefonts-installer,
 Pre-Depends:
  ${misc:Pre-Depends},
+Breaks:
+ wine32-development (<< 1.7.51-2~),
+ wine64-development (<< 1.7.51-2~),
 Description: Windows API implementation - library
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
@@ -235,6 +241,9 @@
  libc6-dev,
 Recommends:
  wine32-development-tools (= ${binary:Version}) | wine64-development-tools (= ${binary:Version}),
+Breaks:
+ wine32-development (<< 1.7.51-2~),
+ wine64-development (<< 1.7.51-2~),
 Description: Windows API implementation - development files
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
