=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
          --without-sane \
          --without-capi \
          --without-gphoto \
-         --without-gstreamer \
          --disable-tests \
          --libdir=/$(LIBDIR) \
          --bindir=/$(BINDIR) \
@@ -85,7 +84,7 @@
 	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	./debian/scripts/generate libs/wine/cptable.generated cpmap
+	./debian/scripts/generate libs/port/cptable.generated cpmap
 	./debian/scripts/generate server/trace.generated make_requests
 	./debian/scripts/generate server/request.generated make_requests
 	./tools/make_fir
@@ -97,13 +96,10 @@
 	./configure $(CONFLAGS)
 
 override_dh_auto_build-indep:
-	./tools/makedep tools tools/sfnt2fon libs/port libs/wine fonts
+	./tools/makedep libs/port tools/sfnt2fon fonts
 	make -C libs/port
-	make -C libs/wine
 	make -C tools/sfnt2fon
 	make -C fonts
-	make -C tools wineapploader
-	chmod 755 tools/wineapploader
 
 override_dh_auto_install-indep: $(INSTALLS)
 	mkdir -p debian/tmp
@@ -112,32 +108,35 @@
 	cp debian/scripts/wine debian/tmp/wine$(VERSION)
 	for dir in loader server programs/msiexec programs/winedbg \
 	    programs/wineconsole programs/regedit programs/regsvr32 \
-	    programs/wineboot programs/winefile programs/winecfg; do \
+	    programs/wineboot programs/winefile programs/winepath \
+	    programs/winecfg; do \
 	    ./tools/makedep $$dir; \
 	    make -C $$dir install-man; \
 	    done
-	for file in $$(find . -name \*.man); do \
-	    rename=$$(basename $$file | sed s/\\.man/$(VERSION)\\.1/); \
+	for file in $$(find . ! -path "./debian/*" -name \*.man); do \
+	    rename=$$(basename $$file | sed "s/\\./$(VERSION)./;s/UTF-8\\.//"); \
 	    cp $$file debian/tmp/$$rename || true; \
 	    done
-	rm -f debian/tmp/*UTF-8*
-	rm -f debian/tmp/winegcc$(VERSION).1
+	# extract hicolor icon from logo.svg
+	sed '/image\/png/d;s|width="611"|width="209"|' programs/winecfg/logo.svg > debian/tmp/wine$(VERSION).svg
 
 override_dh_auto_install-arch: $(INSTALLS)
 	mkdir -p debian/tmp
 	cp ANNOUNCE debian/tmp/changelog
 	cp tools/winedump/README debian/tmp/README.winedump
 	cp server/wineserver debian/tmp/wineserver$(DEB_BUILD_ARCH_BITS)
+	sed "s|BINDIR|$(BINDIR)|g" debian/scripts/winegcc > debian/tmp/winegcc$(VERSION)
 	dh_auto_install
-	cp loader/wine.man debian/tmp/usr/share/man/man1/wine32$(VERSION).1
+	for file in $$(find . ! -path "./debian/*" -name \*.man); do \
+	    rename=$$(basename $$file | sed "s/\\./$(VERSION)./;s/UTF-8\\.//"); \
+	    cp $$file debian/tmp/$$rename || true; \
+	    done
 	cp loader/wine.man debian/tmp/usr/share/man/man1/wine64$(VERSION).1
-	cd debian/tmp/usr/share/man/man1 && \
-	    cp winegcc.1 winegcc$(VERSION).1 || true
 	test -f debian/tmp/$(BINDIR)/wine-preloader || \
 	    cp debian/scripts/wine-preloader debian/tmp/$(BINDIR)
 
 override_dh_strip:
-	dh_strip -Xwine-pthread -Xwine-kthread --ddeb-migration='libwine$(VERSION)-dbg (<< 1.9.0-1~)'
+	dh_strip -Xwine-pthread -Xwine-kthread --dbgsym-migration='libwine$(VERSION)-dbg (<< 1.9.0-1~)'
 
 override_dh_gencontrol:
 	dh_gencontrol -- \
