## wine-development 1.9.8

=== debian/changelog ===
wine-development (1.9.8-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 1.9.8, released Apr 15, 2016.
    - More work towards the WineD3D command stream.
    - More WebServices reader support.
    - Still more Shader Model 5 support.
    - Support for gradients in metafiles.
    - Improved table formatting in WinHelp.
    - Various bug fixes.

  [ Jens Reyer ]
  * Add patch to append '(Debian)' to the version string.
  * If wine32 is missing warn about it unless err output is disabled.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Apr 2016 00:53:27 +0000

wine-development (1.9.7-1) unstable; urgency=medium

  * New upstream release 1.9.7, released Apr 1, 2016.
    - More work towards the WineD3D command stream.
    - More support for Shader Model 5 shaders.
    - C++ exception handling on x86-64.
    - Support for Windows-style static import libraries.
    - Performance fixes in the XML writer.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 01 Apr 2016 19:51:23 +0000
