## wine-development 1.9.9

=== debian/changelog ===
wine-development (1.9.9-1) unstable; urgency=medium

  * New upstream release 1.9.9, released Apr 29, 2016.
    - More work towards the WineD3D command stream.
    - Service proxies in WebServices.
    - Query support in the builtin reg.exe utility.
    - Improved support for long URLs in WinInet.
    - Various bug fixes.
  * Refresh patches.
  * Bump standards-version to 3.9.8, no changes required.
  * Update overrides for changed tags in lintian 2.5.44.
  * Fix local search for addon (gecko/mono) installers and update
    documentation for their manual installation (closes: #783428, see:
    #812750).
  * Bump recommended fonts-wine version to one with ttf fonts
    (closes: #818925).
  * Move some dependencies to libwineVERSION.
  * Add widl to the -tools packages.
    Thanks to Andrey Gursky (closes: #824671).
  * Fix winegcc script to call wineg++/cpp based on its basename.
    Thanks to Javier Serrano Polo (see: #824715).
  * Add bugnumbers from other branch to changelog since 1.9.1-1.
  * Drop obsolete dh_strip exclusion of some files.
  * Change version string to display vendor and version.
  * Drop obsolete dependency on x11-utils.
  * Generate list of used shared libraries and let libwine recommend it.
    (see: #823991).
    Also use this mechanism to identify the package names of depended
    upon libraries. Thanks to Jakub Wilk.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 29 May 2016 21:13:50 +0200
