=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,7 @@
 INCDIR=usr/include/wine$(VERSION)
 LIBDIR=usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/wine$(VERSION)
 
-NCURSES=$(shell ./debian/scripts/dpkg-depgrep ncurses)
-FREETYPE=$(shell ./debian/scripts/dpkg-depgrep freetype)
+export VENDOR=$(shell dpkg-vendor --query Vendor && dpkg-parsechangelog -S Version)
 
 # enable verbose build log
 export DH_VERBOSE=1
@@ -58,6 +57,16 @@
 # additional files to generate
 INSTALLS=$(shell ls debian/*VERSION* | sed s/VERSION/$(VERSION)/) \
          debian/bug-control \
+
+# sonames to compute additional dependencies
+sonamesDepends=$(shell \
+    grep "^\#define SONAME_" include/config.h | \
+    grep -E "libfontconfig|libfreetype|libncurses" | \
+    cut -d\" -f2)
+sonamesRecommends=$(shell \
+    grep "^\#define SONAME_" include/config.h | \
+    grep -v libnetapi | \
+    cut -d\" -f2)
 
 debian/control: debian/control.in
 	sed s/VERSION/$(VERSION)/g < $< > $@
@@ -117,8 +126,6 @@
 	    rename=$$(basename $$file | sed "s/\\./$(VERSION)./;s/UTF-8\\.//"); \
 	    cp $$file debian/tmp/$$rename || true; \
 	    done
-	# extract hicolor icon from logo.svg
-	sed '/image\/png/d;s|width="611"|width="209"|' programs/winecfg/logo.svg > debian/tmp/wine$(VERSION).svg
 
 override_dh_auto_install-arch: $(INSTALLS)
 	mkdir -p debian/tmp
@@ -136,12 +143,22 @@
 	    cp debian/scripts/wine-preloader debian/tmp/$(BINDIR)
 
 override_dh_strip:
-	dh_strip -Xwine-pthread -Xwine-kthread --dbgsym-migration='libwine$(VERSION)-dbg (<< 1.9.0-1~)'
+	dh_strip --dbgsym-migration='libwine$(VERSION)-dbg (<< 1.9.0-1~)'
+
+override_dh_shlibdeps:
+	mkdir -p debian/tmp
+	./debian/scripts/sonames2elf $(sonamesDepends) > debian/tmp/elf.depends
+	./debian/scripts/sonames2elf $(sonamesRecommends) > debian/tmp/elf.recommends
+	dpkg-shlibdeps --warnings=1 \
+	    -pdlopen \
+	    -dDepends -edebian/tmp/elf.depends \
+	    -dRecommends -edebian/tmp/elf.recommends \
+	    -Tdebian/libwine$(VERSION).substvars
+	dh_shlibdeps
 
 override_dh_gencontrol:
 	dh_gencontrol -- \
 	    -Vbuilt:Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W khronos-api unicode-data)" \
-	    -Vdlopen:Depends="$(NCURSES), $(FREETYPE)" \
 
 override_dh_bugfiles:
 	dh_bugfiles -A
