## wine-development 1.9.10

=== debian/changelog ===
wine-development (1.9.10-1) unstable; urgency=medium

  * New upstream release 1.9.10, released May 16, 2016.
    - More compatible directory enumeration.
    - A number of C++ runtime fixes.
    - Video output improvements.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 03 Jun 2016 00:07:15 +0000
