=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wine-development
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
+Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -64,7 +63,7 @@
  libgstreamer-plugins-base1.0-dev,
  freebsd-glue [kfreebsd-any],
  ocl-icd-opencl-dev,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.winehq.org/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-wine/wine.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wine/wine.git
@@ -95,14 +94,10 @@
 Built-Using: ${built:Using}
 Depends:
  ${misc:Depends},
- ${dlopen:Depends},
- ${shlibs:Depends},
- x11-utils,
+ ${shlibs:Depends},
  libwine-development (= ${binary:Version}),
 Recommends:
  wine-development (= ${source:Version}),
- libgl1-mesa-dri,
- libasound2-plugins,
 Suggests:
  libwine-gecko-2.40 [!armel !armhf !arm64],
  wine32-development-preloader (= ${binary:Version}),
@@ -122,13 +117,11 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- x11-utils,
  libwine-development (= ${binary:Version}),
 Recommends:
  wine-development (= ${source:Version}),
  wine32-development (>= ${source:Version}),
  wine32-development (<< ${source:Version}.1~),
- libasound2-plugins,
 Suggests:
  libwine-gecko-2.40 [!armel !armhf !arm64],
  wine64-development-preloader (= ${binary:Version}),
@@ -210,12 +203,14 @@
 Built-Using: ${built:Using}
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
- libfontconfig1,
-Recommends:
- libxcursor1,
+ ${dlopen:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ${dlopen:Recommends},
+ libgl1-mesa-dri,
+ libasound2-plugins,
  fonts-liberation,
- fonts-wine (>= 1.8.1-2),
+ fonts-wine (>= 1.8.2-1~),
 Suggests:
  cups-bsd,
  ttf-mscorefonts-installer,
