=== debian/control ===
--- 
+++ 
@@ -63,6 +63,10 @@
  libgstreamer-plugins-base1.0-dev,
  freebsd-glue [kfreebsd-any],
  ocl-icd-opencl-dev,
+ icoutils,
+ librsvg2-bin,
+ imagemagick,
+ fontforge-nox | fontforge,
 Standards-Version: 3.9.8
 Homepage: http://www.winehq.org/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-wine/wine.git
@@ -99,7 +103,7 @@
 Recommends:
  wine-development (= ${source:Version}),
 Suggests:
- libwine-gecko-2.40 [!armel !armhf !arm64],
+ libwine-gecko-2.44 [!armel !armhf !arm64],
  wine32-development-preloader (= ${binary:Version}),
 Breaks:
  wine-development (<< 1.7.50-3~),
@@ -120,10 +124,9 @@
  libwine-development (= ${binary:Version}),
 Recommends:
  wine-development (= ${source:Version}),
- wine32-development (>= ${source:Version}),
- wine32-development (<< ${source:Version}.1~),
-Suggests:
- libwine-gecko-2.40 [!armel !armhf !arm64],
+ wine32-development (= ${binary:Version}),
+Suggests:
+ libwine-gecko-2.44 [!armel !armhf !arm64],
  wine64-development-preloader (= ${binary:Version}),
 Breaks:
  wine-development (<< 1.7.50-3~),
@@ -162,11 +165,12 @@
 
 Package: wine32-development-tools
 Architecture: any-i386 any-powerpc armel armhf
+Multi-Arch: foreign
 Section: libdevel
 Built-Using: ${built:Using}
 Depends:
- gcc,
- ${perl:Depends},
+ gcc | gcc-multilib:amd64 [i386],
+ ${perl:Depends} | perl:any [i386],
  ${misc:Depends},
  ${shlibs:Depends},
  libwine-development-dev (= ${binary:Version}),
@@ -176,10 +180,12 @@
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
  .
- This package provides wine's 32-bit developer tools.
+ This package provides Wine's 32-bit developer tools. They are capable of
+ generating 32-bit results.
 
 Package: wine64-development-tools
 Architecture: amd64 arm64
+Multi-Arch: foreign
 Section: libdevel
 Built-Using: ${built:Using}
 Depends:
@@ -187,14 +193,18 @@
  ${perl:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
- libwine-development-dev (= ${binary:Version}),
+ libwine-development-dev (= ${binary:Version}) |
+ libwine-development-dev:i386 (= ${binary:Version}) [amd64] |
+ libwine-development-dev:armel (= ${binary:Version}) [arm64] |
+ libwine-development-dev:armhf (= ${binary:Version}) [arm64],
 Conflicts:
  wine32-development-tools,
 Description: Windows API implementation - 64-bit developer tools
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
  .
- This package provides wine's 64-bit developer tools.
+ This package provides Wine's 64-bit developer tools. They are capable of
+ generating both 32- and 64-bit results.
 
 Package: libwine-development
 Section: libs
@@ -223,7 +233,7 @@
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
  .
- This package provides the wine library.
+ This package provides the Wine library.
 
 Package: libwine-development-dev
 Architecture: amd64 any-i386 any-powerpc armel armhf arm64
@@ -235,7 +245,7 @@
  libwine-development (= ${binary:Version}),
  libc6-dev,
 Recommends:
- wine32-development-tools (= ${binary:Version}) | wine64-development-tools (= ${binary:Version}),
+ wine64-development-tools (= ${binary:Version}) | wine32-development-tools (= ${binary:Version}),
 Breaks:
  wine32-development (<< 1.7.51-2~),
  wine64-development (<< 1.7.51-2~),
@@ -243,7 +253,7 @@
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
  .
- This package provides wine's C header files and development libraries.
+ This package provides Wine's C header files and development libraries.
 
 # Package: wine-binfmt
 # Architecture: all
@@ -254,7 +264,7 @@
 #  Wine is a free MS-Windows API implementation.
 #  This is still a work in progress and many applications may still not work.
 #  .
-#  This package provides support for launching windows executables directly.
+#  This package provides support for launching Windows executables directly.
 #
 # Package: fonts-wine
 # Section: fonts
@@ -267,4 +277,4 @@
 #  Wine is a free MS-Windows API implementation.
 #  This is still a work in progress and many applications may still not work.
 #  .
-#  This package provides the fonts used by wine.
+#  This package provides the fonts used by Wine.
