=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Stephen Kitt <skitt@debian.org>,
  Jens Reyer <jre.winesim@gmail.com>,
 Build-Depends:
- debhelper (>= 9.20151220),
+ debhelper (>= 9.20160702),
  dh-autoreconf,
  libxi-dev,
  libxt-dev,
@@ -103,7 +103,7 @@
 Recommends:
  wine-development (= ${source:Version}),
 Suggests:
- libwine-gecko-2.44 [!armel !armhf !arm64],
+ libwine-gecko-2.47 [!armel !armhf !arm64],
  wine32-development-preloader (= ${binary:Version}),
 Breaks:
  wine-development (<< 1.7.50-3~),
@@ -126,7 +126,7 @@
  wine-development (= ${source:Version}),
  wine32-development (= ${binary:Version}),
 Suggests:
- libwine-gecko-2.44 [!armel !armhf !arm64],
+ libwine-gecko-2.47 [!armel !armhf !arm64],
  wine64-development-preloader (= ${binary:Version}),
 Breaks:
  wine-development (<< 1.7.50-3~),
@@ -170,7 +170,7 @@
 Built-Using: ${built:Using}
 Depends:
  gcc | gcc-multilib:amd64 [i386],
- ${perl:Depends} | perl:any [i386],
+ ${perl:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
  libwine-development-dev (= ${binary:Version}),
