## wine-development 1.9.14

=== debian/changelog ===
wine-development (1.9.14-1) unstable; urgency=medium

  * New upstream release 1.9.14, released Jul 8, 2016.
  * - More Shader Model 5 support in Direct3D.
  * - Some more write support in WebServices.
  * - Performance improvements in GDI.
  * - Some more progress towards the Direct3D command stream.
  * - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 Jul 2016 16:18:23 +0000
