## wine-development 1.9.15

=== debian/changelog ===
wine-development (1.9.15-1) unstable; urgency=medium

  * New upstream release 1.9.15, released Jul 22, 2016.
    - More shader instructions in Direct3D.
    - Performance improvements in GDI.
    - Active Scripting improvements.
    - Additional stream support in the C++ runtime.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 23 Jul 2016 04:12:22 +0000
