## wine-development 1.9.16

=== debian/changelog ===
wine-development (1.9.16-1ubuntu1) yakkety; urgency=medium

  * Use unversioned sonames in debian/scripts/sonames2elf
    so that dpkg-shlibdeps can find libGL.so in Ubuntu,
    thanks Jens Reyer. (Closes: #827770)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Aug 2016 11:26:04 +0200

wine-development (1.9.16-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 1.9.16, released Aug 5, 2016.
   - Performance improvements in JavaScript.
   - More progress towards the Direct3D command stream.
   - More shader instructions in Direct3D.
   - Performance improvements in GDI.
   - Various bug fixes.

  [ Jens Reyer ]
  * Add removal instructions for binfmt support to README.debian.
  * Add Recommends g++ or g++-multilib to the -tools (see: #832041).
  * Implement the Debian alternatives system (closes: #758291).
    - Drop now obsolete development/winegcc.patch.
    - Add breaks older src:wine packages before the alternatives system.
    - Let the -tools packages recommend wineVERSION.
    - Add bug script to show the target of the /usr/bin/wine link.
    - Add provides: wine to wine-development.
  * Bump versioned dependency on unicode-data to >= 9.0.
  * Refresh patches.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 Aug 2016 04:59:32 +0000
