=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wine-development
 Section: otherosfs
 Priority: optional
-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -35,7 +36,7 @@
  pkg-config,
  dctrl-tools,
  khronos-api,
- unicode-data (>= 8.0-1~),
+ unicode-data (>= 9.0),
  libpng-dev,
  libssl-dev,
  libxml2-dev,
@@ -85,6 +86,10 @@
  playonlinux,
  wine-binfmt,
  dosbox (>= 0.74-4.2~),
+Breaks:
+ wine (<< 1.8.3-3~),
+Provides:
+ wine,
 Description: Windows API implementation - standard suite
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
@@ -129,6 +134,7 @@
  libwine-gecko-2.47 [!armel !armhf !arm64],
  wine64-development-preloader (= ${binary:Version}),
 Breaks:
+ wine64 (<< 1.8.3-3~),
  wine-development (<< 1.7.50-3~),
  wine64-development-preloader (<< 1.7.51-2~),
 Description: Windows API implementation - 64-bit binary loader
@@ -174,8 +180,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libwine-development-dev (= ${binary:Version}),
+Recommends:
+ wine-development (= ${source:Version}),
+ g++ | g++-multilib:amd64 [i386],
 Conflicts:
  wine64-development-tools,
+Breaks:
+ wine32-tools (<< 1.8.3-3~),
+ wine64-tools (<< 1.8.3-3~),
 Description: Windows API implementation - 32-bit developer tools
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
@@ -197,8 +209,14 @@
  libwine-development-dev:i386 (= ${binary:Version}) [amd64] |
  libwine-development-dev:armel (= ${binary:Version}) [arm64] |
  libwine-development-dev:armhf (= ${binary:Version}) [arm64],
+Recommends:
+ wine-development (= ${source:Version}),
+ g++,
 Conflicts:
  wine32-development-tools,
+Breaks:
+ wine32-tools (<< 1.8.3-3~),
+ wine64-tools (<< 1.8.3-3~),
 Description: Windows API implementation - 64-bit developer tools
  Wine is a free MS-Windows API implementation.
  This is still a work in progress and many applications may still not work.
